<template>
    <div>
        <div class='modal-body-container'>
            <div class="row">
                <div class="col-xs-4">
                    <ObInput
                            :label="dictionaryRu.modal.coordinates"
                            :value="coords.lat ? coords.lat + ', ' + coords.lon : ''"
                            :readonly="true"
                    />
                </div>
                <div class="col-xs-4">
                    <ObRangeSelect
                            :onlyVal="true"
                            v-model.number="radiusObject[activeRadius]"
                            :label="RADIUS_LABEL[activeRadius]"
                            :start-val="0"
                            :end-val="50"
                            :icon="{ name: 'map' }"
                            :units="dictionaryRu.modal.unit"
                    />
                </div>
                <div class="col-xs-4">
                    <ob-form-controls
                            @ok="save"
                            @cancel="$emit('close')"
                    />
                </div>
            </div>
        </div>
        <map-leaflet style="height: 60vh" :coords="coords" :radius="radiusObject[activeRadius]" mapId='map-radius'/>
    </div>
</template>

<script>
    import MapLeaflet from "./MapLeaflet"
    import ObFormControls from "common-components/src/obComponents/obForm/ObFormControls"
    import { RADIUS_LABEL } from '@/resources/enum'
    import ObRangeSelect from 'common-components/src/obComponents/obRangeSelect/obRangeSelect'
    import ObInput from 'common-components/src/obComponents/obInput'
    import { dictionary } from '@/translations/ru/dictionaries__locations__locations_list';

    export default {
        name: "ChangeRadius",
        components: {
            ObFormControls,
            MapLeaflet,
            ObRangeSelect,
            ObInput
        },
        props: {
            coords: {
                type: Object,
                default: () => {}
            },
            radiusObject: {
                type: Object,
                default: () => {}
            },
            activeRadius: {
                type: String,
                default: ''
            },
        },
        data () {
            return {
                dictionaryRu: dictionary,
                RADIUS_LABEL
            }
        },
        methods: {
            save() {
                this.$emit('input', this.radiusObject)
                this.$emit('close')
            }
        }
    }
</script>

<style scoped lang="scss">
    .prev, .next {
        box-shadow: none;
        border: 0;
        width: 55px;
        height: 14px;
        display: inline-block;
        vertical-align: top;
        margin-top: 20px;
    }
    .prev {
        transform: rotate(90deg);
    }
    .next {
        transform: rotate(-90deg);
    }
    .input_container--inline {
        display: inline-block;
        vertical-align: top;
        width: calc(100% - 110px);
    }
</style>
